#!/bin/bash
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
#
# Copyright (c) 2011 Oracle and/or its affiliates. All rights reserved.
#
# The contents of this file are subject to the terms of either the GNU
# General Public License Version 2 only ("GPL") or the Common Development
# and Distribution License("CDDL") (collectively, the "License").  You
# may not use this file except in compliance with the License.  You can
# obtain a copy of the License at
# https://glassfish.dev.java.net/public/CDDL+GPL_1_1.html
# or packager/legal/LICENSE.txt.  See the License for the specific
# language governing permissions and limitations under the License.
#
# When distributing the software, include this License Header Notice in each
# file and include the License file at packager/legal/LICENSE.txt.
#
# GPL Classpath Exception:
# Oracle designates this particular file as subject to the "Classpath"
# exception as provided by Oracle in the GPL Version 2 section of the License
# file that accompanied this code.
#
# Modifications:
# If applicable, add the following below the License Header, with the fields
# enclosed by brackets [] replaced by your own identifying information:
# "Portions Copyright [year] [name of copyright owner]"
#
# Contributor(s):
# If you wish your version of this file to be governed by only the CDDL or
# only the GPL Version 2, indicate your decision by adding "[Contributor]
# elects to include this software in this distribution under the [CDDL or GPL
# Version 2] license."  If you don't indicate a single choice of license, a
# recipient has the option to distribute your version of this file under
# either the CDDL, the GPL Version 2 or to extend the choice of license to
# its licensees as provided above.  However, if you add GPL Version 2 code
# and therefore, elected the GPL Version 2 license, then the option applies
# only if the new code is made subject to such option by the copyright
# holder.

source /u01/glassfish/lb/scripts/env.conf

#Handle certificate creation for Apache
createCertificate(){
$APACHE_INSTALL_DIR/bin/openssl genrsa -des3 -passout pass:glassfish -out $REPO_DIR/server.key 1024
mv $REPO_DIR/server.key $REPO_DIR/server.key.org
$APACHE_INSTALL_DIR/bin/openssl rsa -in $REPO_DIR/server.key.org -passin pass:glassfish -out $REPO_DIR/server.key
rm $REPO_DIR/server.key.org
umask 77 ; echo "




$HOSTNAME
" | $APACHE_INSTALL_DIR/bin/openssl req -new -key $REPO_DIR/server.key -x509 -days 365 -out $REPO_DIR/server.crt >/dev/null 2>&1
mv $REPO_DIR/server.key $APACHE_CONFIG_DIR
mv $REPO_DIR/server.crt $APACHE_CONFIG_DIR
echo "CERTIFICATE CREATION COMPLETED SUCCESSFULLY"
}

#Sets HTTP port for Apache
setHttpPort(){
sed "s/<HTTP_PORT>/$1/" $APACHE_CONFIG_DIR/httpd.conf > $APACHE_CONFIG_DIR/httpd.conf.new
mv $APACHE_CONFIG_DIR/httpd.conf.new $APACHE_CONFIG_DIR/httpd.conf
}

#Enabled SSL for Apache
enableSSL(){
sed "s/^#Include conf\/extra\/httpd-ssl.conf/Include conf\/extra\/httpd-ssl.conf/" $APACHE_CONFIG_DIR/httpd.conf > $APACHE_CONFIG_DIR/httpd.conf.new
mv $APACHE_CONFIG_DIR/httpd.conf.new $APACHE_CONFIG_DIR/httpd.conf
}

#Sets HTTPS port for Apache
setHttpsPort(){
sed "s/<HTTPS_PORT>/$1/" $APACHE_CONFIG_DIR/extra/httpd-ssl.conf | sed "s/^ServerName .*$/ServerName $HOSTNAME:$1/" > $APACHE_CONFIG_DIR/extra/httpd-ssl.conf.new
mv $APACHE_CONFIG_DIR/extra/httpd-ssl.conf.new $APACHE_CONFIG_DIR/extra/httpd-ssl.conf
}

#if HTTP port is not provided use default http port
if [ ! -z $1 ]
then
HTTP_PORT=$1
else
echo "Using default http port : $DEFAULT_HTTP_PORT"
HTTP_PORT=$DEFAULT_HTTP_PORT
fi
setHttpPort $HTTP_PORT

#if HTTPS port is provided, then make ssl configuration
if [ ! -z $2 ]
then
HTTPS_PORT=$2
createCertificate
enableSSL
setHttpsPort $HTTPS_PORT
fi

echo "CONFIGURATION COMMAND COMPLETED SUCCESSFULLY"
